aboutsummaryrefslogtreecommitdiffstats
path: root/main/nmap/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-11-24 15:07:46 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-11-26 07:44:12 +0000
commitb2fdcf82eae8fa1a8fa7d219a61823e0314eaf79 (patch)
tree48ebaef087dbee39f955dab47a068835adcd5883 /main/nmap/APKBUILD
parent96479804b2876dff118035e49ebf35ff43fbaa85 (diff)
downloadaports-b2fdcf82eae8fa1a8fa7d219a61823e0314eaf79.tar.gz
aports-b2fdcf82eae8fa1a8fa7d219a61823e0314eaf79.tar.bz2
aports-b2fdcf82eae8fa1a8fa7d219a61823e0314eaf79.tar.xz
main/nmap: split package into subpackages
- nmap-nping: contains the optional nping binary - nmap-ncat: contains the optional ncat binary - nmap-nselibs: contains files for the nmap scripting engine - nmap-scripts: contains example scripts for the nmap scripting engine
Diffstat (limited to 'main/nmap/APKBUILD')
-rw-r--r--main/nmap/APKBUILD67
1 files changed, 51 insertions, 16 deletions
diff --git a/main/nmap/APKBUILD b/main/nmap/APKBUILD
index daf33eaf82..1a169bdd96 100644
--- a/main/nmap/APKBUILD
+++ b/main/nmap/APKBUILD
@@ -1,17 +1,21 @@
# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
-pkgname=nmap
+pkgname=nmap
pkgver=7.00
-pkgrel=0
+pkgrel=1
pkgdesc="A network exploration tool and security/port scanner"
-url="http:/nmap.org"
+url="http://nmap.org"
arch="all"
-license="custom:GPL"
-depends=
+license="custom"
+depends=""
makedepends="libpcap-dev openssl-dev lua-dev linux-headers"
-install=
-subpackages="$pkgname-doc"
-replaces="nmap-nse"
-source="http://nmap.org/dist/$pkgname-$pkgver.tgz"
+install=""
+subpackages="
+ $pkgname-doc
+ $pkgname-scripts
+ $pkgname-nselibs
+ $pkgname-nping
+ $pkgname-ncat"
+source="http://nmap.org/dist/$pkgname-$pkgver.tar.bz2"
_builddir="$srcdir"/$pkgname-$pkgver
@@ -33,18 +37,49 @@ build() {
--with-liblua=/usr/include \
--with-openssl=/usr/lib \
|| return 1
+
# fix LUA libs linking order
make "LUA_LIBS=../liblua/liblua.a -ldl -lm" || return 1
}
package() {
cd "$_builddir"
- make DESTDIR="$pkgdir" install
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+}
+
+scripts() {
+ depends="$pkgname-nselibs"
+ pkgdesc="$pkgdesc (scripts)"
+ arch="noarch"
+
+ mkdir -p "$subpkgdir"/usr/share/nmap/
+ mv "$pkgdir"/usr/share/nmap/scripts \
+ "$subpkgdir"/usr/share/nmap/ || return 1
+}
+
+nselibs() {
+ pkgdesc="$pkgdesc (nselibs)"
+ arch="noarch"
- # install custom GPL2 license
- install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+ mkdir -p "$subpkgdir"/usr/share/nmap/
+ mv "$pkgdir"/usr/share/nmap/nse_main.lua \
+ "$pkgdir"/usr/share/nmap/nselib \
+ "$subpkgdir"/usr/share/nmap/ || return 1
}
-
-md5sums="a2dd8bd8b64624b0d92e1fdd4be0b9cd nmap-7.00.tgz"
-sha256sums="8ba3248e6e1443114b62822786d17681e312c6ed6c2bb609b692700776aba2a4 nmap-7.00.tgz"
-sha512sums="6769fe6799c33c00bf57c729fe9d32b2833721a9fee519cd103084b6531c14920eee7642d7441b66ce83b650c1df0ef86fb514bfe27163f7f8abb2aff72ff2ac nmap-7.00.tgz"
+
+ncat() {
+ pkgdesc="$pkgdesc (ncat tool)"
+ mkdir -p "$subpkgdir"/usr/bin
+ mv "$pkgdir"/usr/bin/ncat "$subpkgdir"/usr/bin || return 1
+}
+
+nping() {
+ pkgdesc="$pkgdesc (nping tool)"
+ mkdir -p "$subpkgdir"/usr/bin
+ mv "$pkgdir"/usr/bin/nping "$subpkgdir"/usr/bin || return 1
+}
+
+md5sums="6cdf5d03cc3294b99d69dfca83f2f2ee nmap-7.00.tar.bz2"
+sha256sums="9f442301c615c608a385831c3505cdfed9b0795cd100f1a258b04509802802ae nmap-7.00.tar.bz2"
+sha512sums="f8b4368de5956698e76a2a102102feb4bd00338cf983bfbf7bcd8c941288bb4a02c45469724e8a1daed87f41536a3f16a68fc604171fe23093575ac631637351 nmap-7.00.tar.bz2"